#qchat-groups-iframe {
    position: fixed;
    border: none;
    z-index: 999;
    background-color: transparent;
    width: 180px;
    height: auto;
    right: 0;
    top: -350px;
    overflow: hidden;
    display: none;
}

#qchat-groups-iframe.show {
    display: block;
}

#qchat-admin-iframe {
    position: fixed;
    border: none;
    z-index: 1000;
    background-color: transparent;
    width: 100%;
    height: 100dvh;
    left: 0;
    top: 0;
    overflow: hidden;
}

#qchat-admin-iframe.inside {
    position: relative;
    height: 100%;
    z-index: 997;
}

#qchat-admin-iframe.anonymous {
    top: 100dvh !important;
}

#qchat-iframe {
    position: fixed;
    border: none;
    z-index: 997;
    background-color: transparent;
    width: 448px;
    height: calc(100dvh - 90px);
    right: 1rem;
    margin: 0 0.5rem;
    transition: top 0.5s ease;
    top: 100dvh;
    overflow: hidden;
    @media (max-width: 650px) {
        width: calc(100% - 1rem);
    }
}

#qchat-iframe.expanded {
    top: 90px;
    @media (max-width: 650px) {
        top: 0;
        height: 100dvh;
    }
}

#qchat-iframe.expanded.minimized {
    top: calc(100dvh - 72px);
}

#qchat-iframe.anonymous {
    top: 100dvh !important;
}

#qchat-profile-iframe {
    position: fixed;
    border: none;
    z-index: 1000;
    background-color: transparent;
    width: 100%;
    height: 100dvh;
    left: 0;
    top: 0;
    overflow: hidden;
}

@media (max-width: 650px) {
    #qchat-iframe {
        width: calc(100% - 1rem);
        margin: 0 0.5rem;
        right: 0;
    }
}
